Add Bank Account

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Header Parameters

For Header reference Click here

Request Parameters

Parameter KeyRequirementDescriptions
outletIdMandatoryOutlet Id of the Merchant
bankAccountNoMandatoryBank Account of the Merchant
bankIfscMandatoryIfsc code
latitudeMandatoryLocation Latitude of the Merchant
longitudeMandatoryLocation Longitude of the Merchant

Sample Request

curl --location 'https://api.instantpay.in/user/outlet/signup/addBankAccount' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'X-Ipay-Auth-Code: 1' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endpointIP}}' \
--data-raw '{
    "outletId" : "12345",
    "bankAccountNo" : "26880100012345",
    "bankIfsc" : "SBIN0005943",
    "latitude" : "28.5094",
    "longitude" : "77.2972"
}'
POST /user/outlet/signup/addBankAccount HTTP/1.1
Host: api.instantpay.in
Accept: application/json
Content-Type: application/json
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endpointIP}}
Content-Length: 423

{
    "outletId" : "12345",
    "bankAccountNo" : "26880100012345",
    "bankIfsc" : "SBIN0005943",
    "latitude" : "28.5094",
    "longitude" : "77.2972"
}

Response Parameters

Parameter KeyTypeDescription
statuscodeStringInstantpay Status Code
actcodeStringAction code
statusStringStaus Message
dataStringResponse Data (If Present)
timestampStringResponse time (YYYY-MM-DD HH:MM:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
environmentStringLive/Sandbox

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Bank Account Added Successfully",
    "data": null,
    "timestamp": "2026-09-17 18:17:16",
    "ipay_uuid": "h000a2c484b1-6f4e-45bb-8416-bd57ebf3ceef-H9L9XEXXvt5J",
    "orderid": null,
    "environment": "SANDBOX",
    "internalCode": null
}

Sample Response (If name doesn't match)

{
    "statuscode": "ERR",
    "actcode": null,
    "status": "Your name in the bank account must match with Shahbaz Ali. Please trying linking another bank account or reach out to Customer Service.",
    "data": null,
    "timestamp": "2026-09-17 18:16:46",
    "ipay_uuid": "h000a2c48484-45e8-420c-9ab6-2e5cf04bc29c-IMO64KC68R5u",
    "orderid": null,
    "environment": "SANDBOX",
    "internalCode": null
}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json